Package org.eclipse.birt.report.engine.extension

# Interface ICubeResultSet

All Superinterfaces:
  `IBaseResultSet`

public interface ICubeResultSet extends IBaseResultSet

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.engine.extension.IBaseResultSet

`CUBE_RESULTSET, QUERY_RESULTSET`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCellIndex()`
`javax.olap.cursor.CubeCursor`
`getCubeCursor()`
`org.eclipse.birt.data.engine.olap.api.query.IBaseCubeQueryDefinition`
`getCubeQuery()`
`void`
`skipTo(String cellIndex)`

### Methods inherited from interface org.eclipse.birt.report.engine.extension.IBaseResultSet

`close, evaluate, evaluate, evaluate, getID, getParent, getQueryResults, getRawID, getType`

## Method Details

### getCubeCursor

javax.olap.cursor.CubeCursor getCubeCursor()

### getCellIndex

String getCellIndex()

### skipTo

void skipTo(String cellIndex) throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`

### getCubeQuery

org.eclipse.birt.data.engine.olap.api.query.IBaseCubeQueryDefinition getCubeQuery()